<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=, initial-scale=1.0">
        <title>Photo Collection</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
    </head>
    <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
        <div class="container-fluid">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link" href="main.html">Title</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="aboutMe.html">About Me</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="notableEvents.html">Events</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="notablePlaces.html">Places</a>
            </li>
            <li class="nav-item">
                <a class="nav-link active" href="photoCollection.html">Photos</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="myCareer.html">Career</a>
            </li> 
          </ul>
        </div>
      </nav>
    <style>
        * {
        box-sizing: border-box;
        }

        body {
        margin: 0;
        font-family: Arial;
        }

        .header {
        text-align: center;
        padding: 32px;
        }

        .row {
        display: flex;
        flex-wrap: wrap;
        padding: 0 4px;
        }

        .column {
        flex: 25%;
        max-width: 25%;
        padding: 0 4px;
        }

        .column img {
        margin-top: 8px;
        vertical-align: middle;
        }

        @media (max-width: 800px) {
        .column {
            flex: 50%;
            max-width: 50%;
        }
        }

        @media (max-width: 600px) {
        .column {
            flex: 100%;
            max-width: 100%;
        }
        }
        body { margin-top: 20px; margin-left: 20px; background: rgb(54, 54, 54); }
        .rubik-scribble-regular {
        font-family: "Rubik Scribble", system-ui;
        font-weight: 400;
        font-style: normal;
        }

    </style>
    <!-- Above, I am creating a responsive flexbox so that the columns and rows in the flexbox can adapt to different screen sizes when viewing the website.-->

<body>
    <!-- Header placed here. -->
    <div class="header">
        <h1>
            <center <span style="color: rgb(197, 131, 8);" </span> Photo Collection 
        </h1>
    </div>
        <!-- Photo grid using the CSS flexbox properties that were place with the style tags. -->
        <div class="row"> 
        <div class="column">
            <img src="media/chair1.png" style="width:100%">
            <img src="media/chair2.png" style="width:100%">
        </div>
    
        <div class="column">
            <img src="media/fish.png" style="width:100%">
            <img src="media/3people.png" style="width:100%">
        </div> 

        <div class="column">
            <img src="media/softball1.png" style="width:100%">
            <img src="media/softball2.png" style="width:100%">
        </div>
    
        <div class="column">
            <img src="media/drink.png" style="width:100%">
            <img src="media/lounge.png" style="width:100%">
        <!-- Using four separate columns, each with two rows, I created and responsive flexbox. -->    
        </div>
    </div>
</body>
<tail>
    <a href = "main.html"> <center>Return To Main Page</center> </a> 
    <!-- The tail created here takes the user back to the main page of the website.-->
</tail> 
</html>